### R code from vignette source 'rtv.rnw'

###################################################
### code chunk number 1: rtv.rnw:8-13
###################################################
options(continue=" ")
options(SweaveHooks=list(fig=function()
par(mar=c(2, 4, 0.5, 4),las=1,cex=0.75)
))
library (rtv)


###################################################
### code chunk number 2: rtv.rnw:101-103
###################################################
methods (drtv)
args (drtv.character)


###################################################
### code chunk number 3: rtv.rnw:107-110
###################################################
seed = c ("2008-01-01", "2008-02-01", "2008-03-01", "2008-04-01")
x = drtv (seed)
x


###################################################
### code chunk number 4: rtv.rnw:114-115
###################################################
drtvf (x)


###################################################
### code chunk number 5: rtv.rnw:119-122
###################################################
x$day
length (x)
x [1]


###################################################
### code chunk number 6: rtv.rnw:126-127
###################################################
drtvs (seed)


###################################################
### code chunk number 7: rtv.rnw:131-135
###################################################
seedx = c ("2010-06-08 14:45:00", "2010-06-08 04:22:00",
	"2010-06-08 22:45:00", "2010-06-08 02:05:00")
x = drtvx (seedx)
x


###################################################
### code chunk number 8: rtv.rnw:139-140
###################################################
drtvf (x, date=FALSE)


###################################################
### code chunk number 9: rtv.rnw:144-148
###################################################
rtvo.format (TRUE)
rtvo.date (FALSE)
x
rtvo.reset ()


###################################################
### code chunk number 10: rtv.rnw:159-161
###################################################
methods (crtv)
args (drtv.character)


###################################################
### code chunk number 11: rtv.rnw:164-167
###################################################
x = crtv (seed)
drtvf (x)
x


###################################################
### code chunk number 12: rtv.rnw:171-173
###################################################
#date only
crtv (seed, "2008-01-01", "hour")


###################################################
### code chunk number 13: rtv.rnw:176-178
###################################################
#date and time of day - origin at midnight
crtvx (seedx, drtvs ("2008-01-01"), "hour")


###################################################
### code chunk number 14: rtv.rnw:181-183
###################################################
#date and time of day - origin = first recorded event
crtvx (seedx, drtvx (seedx [1]), "hour")


###################################################
### code chunk number 15: rtv.rnw:186-188
###################################################
#date and time of day - origin = first occurring event
crtvx (seedx, min (crtvx (seedx) ), "hour")


###################################################
### code chunk number 16: rtv.rnw:192-194
###################################################
rng = range (x)
seq (rng [1], rng [2], 10)


###################################################
### code chunk number 17: rtv.rnw:198-200
###################################################
x$origin
x$unit


###################################################
### code chunk number 18: rtv.rnw:209-215
###################################################
x1 = c (1, 2, 3, 3, 4, 4, 5, 5, 6, 6)
x2 = c (7, 7, 8, 8, 9, 9, 9, 10, 10, 10, 11, 11, 11, 11, 11, 12, 12, 12, 12)
x = rep (c (x1, x2, x1 + 12), 20)
x = x + runif (length (x), -1, 1) - 0.5
x = x [x > 0 & x < 18]
x = crtv (x, drtvs ("2007-01-01"), "month")


###################################################
### code chunk number 19: rtv.rnw:218-221
###################################################
#first 5 and last 5
n = length (x)
drtvf (sort (x) [c (1:5, (n-4):n)], FALSE)


###################################################
### code chunk number 20: rtv.rnw:226-229
###################################################
u = floor (x) + 1
k = table (u)
barplot (k, names=names (k), col=rgb (0.65, 0.8, 0.65) )


###################################################
### code chunk number 21: rtv.rnw:235-241
###################################################
labs = formatmonth (c (1:12, 1:6), nchars=1)
barplot (k, names=labs, xaxs="i", col=rgb (0.65, 0.8, 0.65),
	xlim=c (0, 18), ylim= c (0, 100), width=0.8, space=0.25)
abline (v=12.1, lty=2)
text (c (0.5, 12.5), c (90, 90),
	c ("2007 (whole year)", "2008 (1st 6 months)"), adj=c (0, 0.5) )


###################################################
### code chunk number 22: rtv.rnw:247-249
###################################################
plot (x, ylab="F(x)")
abline (v=12, lty=2)


###################################################
### code chunk number 23: rtv.rnw:259-268
###################################################
x = (1:75)
x = x / 15 + runif (75, -0.25, 0.25)
x = x [x > 0 & x < 5]
x = sort (x)
x = crtv (x, drtvs ("2010-04-05") )
y = rep (-1, length (x) )
z = x - floor (x)
y [z > 0.25 & z < (17/28)] = 1
y = y + runif (length (y), -1.2, 1.2)


###################################################
### code chunk number 24: rtv.rnw:271-274
###################################################
#first 5 and last 5
n = length (x)
drtvf (sort (x) [c (1:5, (n-4):n)], FALSE)


###################################################
### code chunk number 25: rtv.rnw:278-280
###################################################
plot (x, y, at=(0:4) + 0.5)
abline (v=1:4, col="grey20", lty=3)


###################################################
### code chunk number 26: rtv.rnw:291-292
###################################################
plot (x, y, cycle="day")


###################################################
### code chunk number 27: rtv.rnw:302-305
###################################################
seed = c ("2008-01-01", "2008-01-04", "2008-01-03", "2008-01-02")
x = crtv (seed, seed [1], "hour")
x 


###################################################
### code chunk number 28: rtv.rnw:308-321
###################################################
length (x)
formatdow (drtv (x [1])$dow)
c (x, x)
rep (x, 4)
sort (x)
order (x)
mean (x)
min (x)
max (x)
range (x)
round (x)
x [2]
x + 24


###################################################
### code chunk number 29: rtv.rnw:330-334
###################################################
year = 2001:2010
is.leap (year)
year [is.leap (year)]
ndays.year (year)


###################################################
### code chunk number 30: rtv.rnw:337-340
###################################################
month = 1:12
ndays.month (2007, month)
ndays.month (2008, month)


###################################################
### code chunk number 31: rtv.rnw:343-346
###################################################
date2dow (2010, 2, 1:10)
date2doy (2010, 2, 1:10)
doy2date (2010, 24:35)


###################################################
### code chunk number 32: rtv.rnw:349-352
###################################################
dow = 1:7
formatdow (dow)
formatdow (dow, case="upper", nchars=NA)


###################################################
### code chunk number 33: rtv.rnw:355-357
###################################################
formatmonth (month)
formatmonth (month, case="lower")


###################################################
### code chunk number 34: rtv.rnw:366-367
###################################################
crtv (c ("2011-01-01", "2011-02-01", "2011-03-01", "2011-04-01"), unit="month")


###################################################
### code chunk number 35: rtv.rnw:394-397 (eval = FALSE)
###################################################
## rtvo.reset ()
## rtvo.format (format=FALSE)
## rtvo.date (date=FALSE)


